<?php
/**
* Header Options.
*
* @package Dolpa
*/

$dolpa_default = dolpa_get_default_theme_options();
$dolpa_page_lists = dolpa_page_lists();

// Header Advertise Area Section.
$wp_customize->add_section( 'main_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'dolpa' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);

// Enable Disable Search.
$wp_customize->add_setting('dolpa_header_search',
    array(
        'default' => $dolpa_default['dolpa_header_search'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('dolpa_header_search',
    array(
        'label' => esc_html__('Enable Search', 'dolpa'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);

// Archive Layout.
$wp_customize->add_setting(
    'dolpa_header_layout',
    array(
        'default'           => $dolpa_default['dolpa_header_layout'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_header_layout'
    )
);
$wp_customize->add_control(
    new Dolpa_Custom_Radio_Image_Control( 
        $wp_customize,
        'dolpa_header_layout',
        array(
            'settings'      => 'dolpa_header_layout',
            'section'       => 'main_header_setting',
            'label'         => esc_html__( 'Header Layout', 'dolpa' ),
            'choices'       => array(
                'layout-default'  => get_template_directory_uri() . '/assets/images/header-layout-1.png',
                'layout-1'  => get_template_directory_uri() . '/assets/images/header-layout-2.png',
                'layout-2'  => get_template_directory_uri() . '/assets/images/header-layout-3.png',
                'layout-3'  => get_template_directory_uri() . '/assets/images/header-layout-4.png',
            )
        )
    )
);